wxDCFontChanger Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxDCFontChanger Class Reference
Class List by Category » Graphics Device Interface (GDI)

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/dc.h>`

## Detailed Description

wxDCFontChanger is a small helper class for setting a font on a wxDC and unsetting it automatically in the destructor, restoring the previous one.

Since
  2.9.0

##

Library: wxCore
Category: Graphics Device Interface (GDI)

See also
  wxDC::SetFont(), wxDCTextColourChanger, wxDCPenChanger, wxDCBrushChanger, wxDCClipper

## Public Member Functions
| wxDCFontChanger (wxDC &dc)
| Trivial constructor not changing anything.
| wxDCFontChanger (wxDC &dc, const wxFont &font)
| Sets font on the given dc, storing the old one.
void | Set (const wxFont &font)
| Set the font to use.
| ~wxDCFontChanger ()
| Restores the font originally selected in the DC passed to the ctor.

## Constructor & Destructor Documentation

## ◆ wxDCFontChanger() [1/2]

wxDCFontChanger::wxDCFontChanger | ( | wxDC & | dc | ) |

Trivial constructor not changing anything.

This constructor is useful if you don't know beforehand if the font needs to be changed or not. It simply creates the object which won't do anything in its destructor unless Set() is called – in which case it would reset the previous font.

Since
  2.9.1

## ◆ wxDCFontChanger() [2/2]

wxDCFontChanger::wxDCFontChanger | ( | wxDC & | dc,
|  | const wxFont & | font )

Sets font on the given dc, storing the old one.

Parameters

  dc | The DC where the font must be temporary set.
  font | The font to set.

## ◆ ~wxDCFontChanger()

wxDCFontChanger::~wxDCFontChanger | ( |  | ) |

Restores the font originally selected in the DC passed to the ctor.

## Member Function Documentation

## ◆ Set()

void wxDCFontChanger::Set | ( | const wxFont & | font | ) |

Set the font to use.

This method is meant to be called once only and only on the objects created with the constructor overload not taking wxFont argument and has the same effect as the other constructor, i.e. sets the font to the given font and ensures that the old value is restored when this object is destroyed.